// X-Axis
export const AxisBottom = ({
  xScale,
  innerHeight,
  yTickOffset,
}) =>
  xScale.domain().map((tickValue) => (
    <g className="tick">
      <text
        key={tickValue}
        transform={`rotate(${30})`}
        style={{
          textAnchor: 'start',
          transformOrigin: `${
            xScale(tickValue) + (xScale.bandwidth() * 1) / 2
          }px ${innerHeight + yTickOffset}px`,
        }}
        x={xScale(tickValue) + (xScale.bandwidth() * 1) / 2}
        y={innerHeight + yTickOffset}
        dy={'.71em'}
      >
        {tickValue}
      </text>
    </g>
  ));
